using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_NeiRong_FenLeiNeiRongLieBiao : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("栏目内容列表", "网站后台", "栏目内容列表", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        int ID=Convert.ToInt32(Request.QueryString["ID"]);
        String 栏目类型;
        SqlCommand 语句 = new SqlCommand("SELECT [栏目类型] FROM ["+程序.数据表前缀+"内容_栏目] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
            栏目类型 = Convert.ToString(读取["栏目类型"]);
        else
        {
            读取.Close();
            return;
        }
        读取.Close();

        switch (栏目类型)
        {
            case "文章":
                Response.Redirect("FenLeiWenZhangNeiRongLieBiao.aspx?ID=" + ID);
                break;
            case "图片":
                Response.Redirect("FenLeiTuPianNeiRongLieBiao.aspx?ID=" + ID);
                break;
            case "软件":
                Response.Redirect("FenLeiRuanJianNeiRongLieBiao.aspx?ID=" + ID);
                break;
            case "音乐":
                Response.Redirect("FenLeiYinYueNeiRongLieBiao.aspx?ID=" + ID);
                break;
            case "视频":
                Response.Redirect("FenLeiShiPinNeiRongLieBiao.aspx?ID=" + ID);
                break;
        }
    }
}
